local RSA = LibStub("AceAddon-3.0"):NewAddon("RSA", "AceConsole-3.0", "LibSink-2.0", "AceEvent-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("RSA")

function RSA:ChatCommand(input)
	if not InCombatLockdown() then
		if not IsAddOnLoaded("RSA_Options") then
			LoadAddOn("RSA_Options")
			if input == "Blizz" then
				InterfaceOptionsFrame_OpenToCategory("RSA","RSA")
				InterfaceOptionsFrame_OpenToCategory("RSA","RSA")
			else
				LibStub("AceConfigDialog-3.0"):Open("RSA")
			end
		else
			if input == "Blizz" then
				InterfaceOptionsFrame_OpenToCategory("RSA","RSA")
				InterfaceOptionsFrame_OpenToCategory("RSA","RSA")
			else
				LibStub("AceConfigDialog-3.0"):Open("RSA")	
			end
		end
	end	
end

function RSA:RefreshConfig(event, database) -- Seems to be working fine.
	RSA.db = database -- Setup Saved Variables
	if RSA.db.profile.Modules.Reminders == true then -- Disable Reminder loading for now.
		--local loaded, reason = LoadAddOn("RSA_Reminders")
		if not loaded then
			if reason == "DISABLED" or reason == "INTERFACE_VERSION" then
				ChatFrame1:AddMessage("|cFFFF75B3RSA:|r Reminders " .. L.OptionsDisabled)
			elseif reason == "MISSING" or reason == "CORRUPT" then
				ChatFrame1:AddMessage("|cFFFF75B3RSA:|r Reminders " .. L.OptionsMissing)
			end
		else
			--RSA:EnableModule("Reminders")
		end
	else
		if LoadAddOn("RSA_Reminders") == 1 then
			RSA:DisableModule("Reminders")
		end
	end
	RSA:UpdateOptions()
end
